minmax.hpp File Reference

## Typedefs

template<typename T >
using | ranges::minmax_result = detail::min_max_result< T, T >

## Functions

template<typename T , typename C = less, typename P = identity>
constexpr auto | ranges::minmax (T const &a, T const &b, C pred=C{}, P proj=P{}) -> minmax_result< T const &> requires indirect_strict_weak_order< C, projected< T const *, P >>
| function template `minmax`
template<typename Rng , typename C = less, typename P = identity>
constexpr auto | ranges::minmax (Rng &&rng, C pred=C{}, P proj=P{}) -> minmax_result< range_value_t< Rng >> requires input_range< Rng > &&indirect_strict_weak_order< C, projected< iterator_t< Rng >, P >> &&indirectly_copyable_storable< iterator_t< Rng >, range_value_t< Rng > *>
template<typename T , typename C = less, typename P = identity>
constexpr auto | ranges::minmax (std::initializer_list< T > const &&rng, C pred=C{}, P proj=P{}) -> minmax_result< T > requires copyable< T > &&indirect_strict_weak_order< C, projected< T const *, P >>